InternalAbstractGraphDatabase.DefaultKernelData (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class InternalAbstractGraphDatabase.DefaultKernelData

    java.lang.Object
      org.neo4j.kernel.KernelData
          org.neo4j.kernel.InternalAbstractGraphDatabase.DefaultKernelData

All Implemented Interfaces:
  Lifecycle

Enclosing class:
  InternalAbstractGraphDatabase

    protected class InternalAbstractGraphDatabase.DefaultKernelData

extends KernelData
implements Lifecycle

Field Summary

Fields inherited from class org.neo4j.kernel.KernelData
`forced_id`

Constructor Summary
`InternalAbstractGraphDatabase.DefaultKernelData(Config config, GraphDatabaseAPI graphDb)`

Method Summary
`GraphDatabaseAPI` | `graphDatabase()`
`void` | `init()`
`void` | `shutdown()`
`void` | `start()`
`void` | `stop()`
`Version` | `version()`

Methods inherited from class org.neo4j.kernel.KernelData
`equals, getConfig, getParam, hashCode, instanceId, properties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalAbstractGraphDatabase.DefaultKernelData

    public InternalAbstractGraphDatabase.DefaultKernelData(Config config,
                                                           GraphDatabaseAPI graphDb)

Method Detail

### version

    public Version version()

  Specified by:
    `version` in class `KernelData`

### graphDatabase

    public GraphDatabaseAPI graphDatabase()

  Specified by:
    `graphDatabase` in class `KernelData`

### init

    public void init()
              throws Throwable

  Specified by:
    `init` in interface `Lifecycle`
  Throws:
    `Throwable`

### start

    public void start()
               throws Throwable

  Specified by:
    `start` in interface `Lifecycle`
  Throws:
    `Throwable`

### stop

    public void stop()
              throws Throwable

  Specified by:
    `stop` in interface `Lifecycle`
  Throws:
    `Throwable`

### shutdown

    public void shutdown()
                  throws Throwable

  Specified by:
    `shutdown` in interface `Lifecycle`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.